
Infrastructure - Task #1817

Task # 824 (Closed): CN replica auditing

Implement scheduled replica auditing

2011-10-07 18:59 - Nicholas Dexter

Status: Closed Start date: 2012-04-02

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.4 Story Points:  

Product Version: 1.4.0   

Description

Using Use Case 9, http://mule1.dataone.org/ArchitectureDocs-current/design/UseCases/09_uc.html, implement auditReplicas() and

MNAuditTask to handle sequential checksumming of unverified objects.

Subtasks:

Task # 2568: Identify system metadata to have replication information audited. Closed

Task # 2569: Audit Task generation implementation. Closed

Task # 2570: Audit task processing Closed

Task # 2571: Trigger replication auditing Closed

Task # 3701: Refine CN replica auditing Closed

Task # 3702: Refine Authoritative MN auditing behavior Closed

Associated revisions

Revision f0fe231b - 2013-08-14 17:26 - Robert Waltz

refs #1817

pull ip list from dataone-cn-os-core debian backend db for configuration needs. Wrap many calls into conditionals and add logging statements
refs #1817

pull ip list from dataone-cn-os-core debian backend db for configuration needs. Wrap many calls into conditionals and add logging statements

Revision 12352 - 2013-08-14 17:26 - Robert Waltz

refs #1817

pull ip list from dataone-cn-os-core debian backend db for configuration needs. Wrap many calls into conditionals and add logging statements

Revision 12352 - 2013-08-14 17:26 - Robert Waltz

refs #1817

pull ip list from dataone-cn-os-core debian backend db for configuration needs. Wrap many calls into conditionals and add logging statements

Revision 12352 - 2013-08-14 17:26 - Robert Waltz

refs #1817

2024-05-07 1/3

http://mule1.dataone.org/ArchitectureDocs-current/design/UseCases/09_uc.html


pull ip list from dataone-cn-os-core debian backend db for configuration needs. Wrap many calls into conditionals and add logging statements

History

#1 - 2011-10-07 19:00 - Nicholas Dexter

- Estimated time set to 5.00

- Assignee set to Nicholas Dexter

- Category set to d1_replication

- translation missing: en.field_remaining_hours set to 5.0

#2 - 2011-10-24 16:36 - Nicholas Dexter

- Target version deleted (Sprint-2011.41-Block.5)

- Milestone changed from CCI-0.6.4 to None

#3 - 2012-04-02 20:07 - Skye Roseboom

- Assignee changed from Nicholas Dexter to Skye Roseboom

- Milestone changed from None to CCI-1.0.0

- translation missing: en.field_remaining_hours deleted (5.0)

- Estimated time deleted (5.00)

- Start date changed from 2011-10-07 to 2012-04-02

- Target version set to Sprint-2012.13-Block.2.3

#4 - 2012-04-02 20:09 - Skye Roseboom

- Status changed from New to In Progress

#5 - 2012-04-02 20:11 - Skye Roseboom

- Target version set to Sprint-2012.13-Block.2.3

#6 - 2012-04-02 20:13 - Skye Roseboom

- Target version set to Sprint-2012.13-Block.2.3

- Tracker changed from Task to Feature

#7 - 2012-06-26 17:48 - Skye Roseboom

- Milestone changed from CCI-1.0.0 to CCI-1.2

Moving to a future milestone release.

#8 - 2012-06-26 17:48 - Skye Roseboom

- Estimated time deleted ()

#9 - 2012-10-05 15:18 - Chris Jones

- Target version set to Sprint-2012.41-Block.6.1

#10 - 2012-10-24 18:12 - Skye Roseboom

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#11 - 2012-12-04 14:31 - Robert Waltz

- Target version changed from Sprint-2012.46-Block.6.3 to 2013.2-Block.1.1

#12 - 2013-03-01 19:06 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.14-Block.2.3
#13 - 2013-04-01 20:54 - Skye Roseboom

- Subject changed from Implement the scheduled replica audit in ReplicationManager to Implement the scheduled replica auditing

#14 - 2013-04-01 20:55 - Skye Roseboom

- Subject changed from Implement the scheduled replica auditing to Implement scheduled replica auditing

#15 - 2013-05-15 15:10 - Skye Roseboom

- Target version changed from 2013.14-Block.2.3 to 2013.18-Block.3.1

#16 - 2013-05-15 15:12 - Skye Roseboom

- Target version changed from 2013.18-Block.3.1 to 2013.20-Block.3.2

#17 - 2013-08-02 17:26 - Skye Roseboom

- Target version changed from 2013.20-Block.3.2 to 2013.33-Block.4.4

#18 - 2013-09-11 16:50 - Skye Roseboom

- Target version changed from 2013.33-Block.4.4 to 2013.37-Block.5.2

#19 - 2014-01-06 22:55 - Robert Waltz

- Target version changed from 2013.37-Block.5.2 to 2014.6-Block.1.3

#20 - 2014-03-14 18:27 - Robert Waltz

- Target version deleted (2014.6-Block.1.3)

#21 - 2014-03-14 18:45 - Robert Waltz

- Target version set to 2014.14-Block.2.3

#22 - 2014-03-14 18:45 - Robert Waltz

- Target version changed from 2014.14-Block.2.3 to 2014.16-Block.2.4

#23 - 2014-05-05 21:48 - Skye Roseboom

- Target version changed from 2014.16-Block.2.4 to 2014.22-Block.3.3

#24 - 2014-07-14 17:07 - Skye Roseboom

- Status changed from In Progress to Testing

#25 - 2014-07-31 21:57 - Robert Waltz

- Target version deleted (2014.22-Block.3.3)

#26 - 2014-07-31 22:44 - Robert Waltz

- Product Version set to 1.4.0

- Milestone changed from CCI-1.2 to CCI-1.4

#27 - 2014-09-11 15:47 - Skye Roseboom

- Status changed from Testing to Closed

Tested in cn-sandbox and cn-stage environment

Powered by TCPDF (www.tcpdf.org)

2024-05-07 3/3

http://www.tcpdf.org

